Bug 450372 - xelatex segmentation fault
xelatex segmentation fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-07 02:24 EDT by Konstanty
Modified: 2013-07-02 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:12:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
3 different segfaults of xelatex running on input file. (3.11 KB, text/plain)
2008-08-11 19:28 EDT, Konstanty
no flags Details

  None (edit)
Description Konstanty 2008-06-07 02:24:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
When building a large .tex file using xelatex I often [almost every time] get segmentation faults.
- It is possible to get it not to crash 1 out of >20 times.
- It might be due to fonts? or maybe images?
- It is hard to debug as it does not happen every time - and it gets different amounts done each time

- I have a multiprocessor system (perhaps this is why its sort of a race condition?)

[New Thread 0x1411a0 (LWP 22094)]

Program received signal SIGSEGV, Segmentation fault.
measure_native_node (pNode=0x7f333936f2f0, use_glyph_metrics=1)
    at xetexdir/XeTeX_ext.c:1677
1677				float	y = Fix2X(-locations[i].y);	/* NB negative is upwards in locations[].y! */
Missing separate debuginfos, use: debuginfo-install expat.x86_64 fontconfig.x86_64 freetype.x86_64 gcc.x86_64 glibc.x86_64 libjpeg.x86_64 libpng.x86_64 poppler.x86_64 teckit.x86_64 zlib.x86_64
(gdb) print i
$1 = 0
(gdb) bt
#0  measure_native_node (pNode=0x7f333936f2f0, use_glyph_metrics=1)
    at xetexdir/XeTeX_ext.c:1677
#1  0x0000000000433f75 in hyphenate () at xetex1.c:11150
#2  0x000000000040ba29 in zlinebreak (d=0) at xetexini.c:1614
#3  0x00000000004438fd in endgraf () at xetex2.c:1947
#4  0x000000000044a590 in maincontrol () at xetex2.c:6369
#5  0x0000000000410e0f in mainbody () at xetexini.c:4969
#6  0x000000000044e46e in main (ac=<value optimized out>, 
    av=<value optimized out>) at xetexextra.c:349


Version-Release number of selected component (if applicable):
texlive-2007-30.fc9.x86_64

How reproducible:
Sometimes


Steps to Reproduce:
1. xelatex file.tex


Actual Results:
Crash (Segmentation Fault)

or

Works - creates file.pdf

Expected Results:
Works - creates file.pdf

Additional info:
Comment 1 Konstanty 2008-06-07 02:29:51 EDT
Forgot to add that, in the SuSE linux xelatex there is a similar bug reported:
https://bugzilla.novell.com/show_bug.cgi?id=349148

and it also has the keywords of hyphenate etc...

However their xetex minimal test case seems to work quite reliably.
Comment 2 Vasile Gaburici 2008-08-05 14:05:57 EDT
(In reply to comment #1)
> Forgot to add that, in the SuSE linux xelatex there is a similar bug reported:
> https://bugzilla.novell.com/show_bug.cgi?id=349148
> 
> and it also has the keywords of hyphenate etc...
> 
> However their xetex minimal test case seems to work quite reliably.

It has been reported as fixed on openSUSE.
Comment 3 Konstanty 2008-08-11 19:28:40 EDT
Created attachment 314017 [details]
3 different segfaults of xelatex running on input file.

In order to get these the following steps were done
rm file.aux (After a crash the aux file is usually corrupted - cut mid line)
xelatex -no-pdf file (Make sure that it has nothing to do with PDF maker xdvipdfmx)

Crashes like these happen 9 out of every 10 runs of the file
Comment 4 Vasile Gaburici 2008-08-11 23:21:16 EDT
BTW, did you guys report this stuff upstream? I haven't seen this in XeTeX's bugzilla... http://sourceforge.net/tracker/?group_id=194926&atid=951385
Comment 5 Konstanty 2008-08-13 10:13:58 EDT
I was able to stop the crashing (reliably) by upgrading xetex to the SVN version (0.999.6) and compiling from source.

So this bug will be solved in fedora soon after texlive 2008.
Comment 6 Konstanty 2009-02-04 21:29:29 EST
This bug continues to happen in Fedora 10, as xetex is still version 0.996 

(Here is the upstream report: 
http://sourceforge.net/tracker/index.php?func=detail&aid=2047365&group_id=194926&atid=951385 )
Comment 7 Bug Zapper 2009-11-18 04:35:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:12:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.